Bug 1270776 - Review Request: restsharp - Simple REST and HTTP API Client
Review Request: restsharp - Simple REST and HTTP API Client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Dersch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: openra
  Show dependency treegraph
 
Reported: 2015-10-12 07:26 EDT by Raphael Groner
Modified: 2016-02-29 00:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 00:25:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lupinix: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Raphael Groner 2015-10-12 07:26:19 EDT
Spec URL: https://raphgro.fedorapeople.org/review/openra/restsharp.spec
SRPM URL: https://raphgro.fedorapeople.org/review/openra/restsharp-105.2.3-1.fc23.src.rpm
Description: Simple REST and HTTP API Client
Fedora Account System Username: raphgro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11413777
Comment 1 Raphael Groner 2015-10-12 07:27:54 EDT
error CS0246: The type or namespace name `NUnit' could not be found. Are you missing an assembly reference?
=> Disabled %check for now cause no idea why it doesn't work.
Comment 2 Upstream Release Monitoring 2015-10-12 07:34:44 EDT
raphgro's scratch build of restsharp-105.2.3-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11413777
Comment 3 Raphael Groner 2015-10-14 10:17:40 EDT
Spec URL: https://raphgro.fedorapeople.org/review/openra/restsharp.spec
SRPM URL: https://raphgro.fedorapeople.org/review/openra/restsharp-105.2.3-2.fc23.src.rpm

%changelog
* Wed Oct 14 2015 Raphael Groner <> - 105.2.3-2
- use patches for csproj preparation
- unbundle + enable nunit

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11444702
Comment 4 Upstream Release Monitoring 2015-10-14 10:19:41 EDT
raphgro's scratch build of restsharp-105.2.3-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11444702
Comment 5 Christian Dersch 2016-02-03 18:01:43 EST
Taken

TODO I already recognized: Please move restsharp.pc to a -devel subpackage as required by Guidelines https://fedoraproject.org/wiki/Packaging:Mono?rd=Packaging/Mono#-devel_packages
Comment 6 Upstream Release Monitoring 2016-02-04 13:34:26 EST
raphgro's scratch build of restsharp-105.2.3-3.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12857375
Comment 7 Raphael Groner 2016-02-04 14:26:59 EST
Spec URL: https://raphgro.fedorapeople.org/review/openra/restsharp.spec
SRPM URL: https://raphgro.fedorapeople.org/review/openra/restsharp-105.2.3-3.fc23.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=12858849

%changelog
* Thu Feb 04 2016 Raphael Groner <projects.rg@smart.ms> - 105.2.3-3
- split devel subpackage, add mono as requirement in pkgconfig
- fix folder ownership of _monodir/name
- add license breakdown
Comment 8 Upstream Release Monitoring 2016-02-04 14:34:16 EST
raphgro's scratch build of restsharp-105.2.3-3.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12858849
Comment 9 Christian Dersch 2016-02-06 17:39:46 EST
Package looks fine :) Approved!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "MIT/X11 (BSD like)", "Unknown or generated",
     "*No copyright* Apache (v2.0)". 108 files have unknown license.
     Detailed output of licensecheck in
     /home/review/1270776-restsharp/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.

==> Patches are Fedora specific for unbundling etc.

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
==> http://koji.fedoraproject.org/koji/taskinfo?taskID=12858849

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: restsharp-105.2.3-3.fc24.x86_64.rpm
          restsharp-devel-105.2.3-3.fc24.x86_64.rpm
          restsharp-105.2.3-3.fc24.src.rpm
restsharp.x86_64: E: no-binary
===> False positive

restsharp.x86_64: W: only-non-binary-in-usr-lib
restsharp-devel.x86_64: W: only-non-binary-in-usr-lib
restsharp-devel.x86_64: W: no-documentation
restsharp.src:40: W: macro-in-comment %patch2
restsharp.src:56: E: hardcoded-library-path in %{buildroot}/usr/lib

===> Should be false positive in case of mono

restsharp.src: W: patch-not-applied Patch2: %{name}-disable-nuget.patch
3 packages and 0 specfiles checked; 2 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
restsharp.x86_64: E: no-binary
===> False positive

restsharp.x86_64: W: only-non-binary-in-usr-lib
restsharp-devel.x86_64: W: only-non-binary-in-usr-lib
restsharp-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 3 warnings.



Requires
--------
restsharp (rpmlib, GLIBC filtered):
    mono(System)
    mono(System.Core)
    mono(System.Xml)
    mono(System.Xml.Linq)
    mono(mscorlib)

restsharp-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    pkgconfig(mono)
    restsharp(x86-64)



Provides
--------
restsharp:
    mono(RestSharp)
    restsharp
    restsharp(x86-64)

restsharp-devel:
    pkgconfig(restsharp)
    restsharp-devel
    restsharp-devel(x86-64)



Source checksums
----------------
https://github.com/restsharp/RestSharp/archive/105.2.3.tar.gz#/restsharp-105.2.3.tar.gz :
  CHECKSUM(SHA256) this package     : 1ace876278078ea2b40220c049179a551c5dc8fafcc0f2fb9218d1529e74d879
  CHECKSUM(SHA256) upstream package : 1ace876278078ea2b40220c049179a551c5dc8fafcc0f2fb9218d1529e74d879


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1270776
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 10 Raphael Groner 2016-02-06 18:07:03 EST
Thanks for your review!
Comment 11 Gwyn Ciesla 2016-02-06 21:55:52 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/restsharp
Comment 12 Fedora Update System 2016-02-07 05:26:26 EST
restsharp-105.2.3-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-01a328bcee
Comment 13 Fedora Update System 2016-02-07 23:19:57 EST
restsharp-105.2.3-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-01a328bcee
Comment 14 Fedora Update System 2016-02-18 06:50:51 EST
restsharp-105.2.3-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eedc45335e
Comment 15 Fedora Update System 2016-02-21 13:00:06 EST
restsharp-105.2.3-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eedc45335e
Comment 16 Fedora Update System 2016-02-29 00:25:13 EST
restsharp-105.2.3-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.